#
# spec file for package objectweb-anttask
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           objectweb-anttask
Version:        1.2
Release:        265.2
Summary:        ObjectWeb Ant task
License:        LGPL-2.1-or-later
Group:          Development/Languages/Java
URL:            http://forge.objectweb.org/projects/monolog/
Source0:        ow_util_ant_tasks_1.2.zip
Patch1:         objectweb-anttask-ant17.patch
Patch2:         objectweb-anttask-java5.patch
BuildRequires:  ant
BuildRequires:  java-devel
BuildRequires:  unzip
BuildRequires:  xalan-j2
BuildRequires:  xml-commons-apis
Provides:       owanttask
BuildArch:      noarch

%description
ObjectWeb Ant task

%prep
%setup -q -c -n %{name}
%patch -P 1
%patch -P 2 -p1
find . -name "*.class" -exec rm {} \;
find . -name "*.jar" -exec rm {} \;

%build
export CLASSPATH=$(build-classpath xalan-j2)
ant \
    -Dbuild.compiler=modern \
    -Dant.build.javac.source=1.8 -Dant.build.javac.target=1.8 \
    jar

%install
# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 output/lib/ow_util_ant_tasks.jar %{buildroot}%{_javadir}/%{name}.jar

%files
%{_javadir}/*

%changelog
* Wed Feb 21 2024 Fridrich Strba <fstrba@suse.com>
- Use %%patch -P N instead of deprecated %%patchN.
* Sun Mar 20 2022 Fridrich Strba <fstrba@suse.com>
- Buld with java source and target level 1.8
* Wed Oct  4 2017 fstrba@suse.com
- Specify java source and target level 1.6 in order to allow
  building with jdk9
- Removed patch:
  * objectweb-anttask-java14compat.patch
    + Do not hardcode java source and target levels; we specify
    them on command-line
  * objectweb-anttask-java5.patch
    + Rename enum -> emun, since "enum" is a keyword in java5+
  + Fix "no suitable method found for put(String,String) ...
    argument mismatch; String cannot be converted to String[]"
    with java5+
* Thu Sep 26 2013 mvyskocil@suse.com
- Build with gcc-java as openjdk7 (1.7.0_40) fails to build it
* Tue Sep 18 2007 ro@suse.de
- hack to build with ant-1.7 (MultipleCopy works only for FileSets
  not for real ResourceCollection yet)
* Thu Mar 29 2007 ro@suse.de
- added unzip to buildreq
* Thu Sep 21 2006 skh@suse.de
- don't use icecream
- fix BuildRequires: add xalan-j2
- use source="1.4" and target="1.4" for build with java 1.5
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Oct 17 2005 jsmeix@suse.de
- Current version 1.2 from JPackage.org
